Name: inkscape
Version: 0.45.1
Release: alt2

Summary: A Vector Drawing Application

License: GPL
Group: Graphics
Url: http://inkscape.sourceforge.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sf.net/%name/%name-%version.tar.bz2
Source1: inkscape-tango-icons.tar.bz2
Patch: %name.patch

# Typical environment for GTK program
Requires(post,postun): desktop-file-utils
#BuildPreReq: menu-devel
BuildPreReq: desktop-file-utils

%add_findreq_skiplist %_datadir/%name/extensions/*

# Automatically added by buildreq on Sat Jun 24 2006 (-bi)
BuildRequires: boost-devel gcc-c++ ghostscript-utils gnome-vfs-devel libavahi-glib libgc-devel libgtkmm2-devel libgtkspell-devel liblcms-devel libloudmouth-devel libpng-devel libpopt-devel libxslt-devel menu-devel perl-devel perl-libwww perl-Magick perl-Parse-Yapp perl-SVG perl-URI perl-XML-DOM perl-XML-XQL pstoedit python-dev python-modules python-modules-compiler python-modules-encodings termutils transfig
# removed: skencil dia 

BuildPreReq: intltool perl-SVG-Parser

# For extensions
# It is recommended to install skencil, pstoedit  also
Requires: wmf-utils perl-Magick
# for internal dependencies
Provides: perl(SpSVG.pm)

%description
Inkscape is a SVG based generic vector-drawing program for Linux/Unix/Windows.
It uses an advanced imaging engine,
with anti-aliased display, alpha transparency, and vector fonts.

%description -l ru_RU.KOI8-R
Inkscape --      , 
 SVG,    Linux/Unix/Windows.
     ,
 , -   .

%package viewer
Summary: Viewer for Inkscape files
Group: Graphics

%description viewer
inkview is standalone viewer for Inkscape files (SVG)

%prep
%setup -q
%patch

%build
%__subst "s|.*\(checkPYTHON_LIBS\)=.*|\1=-lpython2.4|" ./configure
%configure --with-python --with-perl --enable-inkboard \
	--with-lcms --disable-static
# --with-gnome-print
# due bug in lcms header using
find -type f -name "*.[ch]*" | xargs subst "s|lcms\.h|lcms/lcms.h|g"
%make_build

%install
%make_install DESTDIR=%buildroot install

tar -xjf %SOURCE1 -C %buildroot%_datadir/%name/icons/
# unneeded
rm -rf %buildroot%_mandir/fr/
%find_lang %name

%post
%update_menus
%update_desktopdb

%postun
%clean_menus
%clean_desktopdb

%files -f %name.lang
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README doc
%_bindir/inkscape
%_datadir/%name
%_desktopdir/*
%_pixmapsdir/*
%_man1dir/inkscape*

%files viewer
%_bindir/inkview
%_man1dir/inkview*

%changelog
* Thu May 17 2007 Vitaly Lipatov <lav@altlinux.ru> 0.45.1-alt2
- added Tango icons by defaults (thanks to Valery Inozemtsev shrek@)

* Sat Mar 24 2007 Vitaly Lipatov <lav@altlinux.ru> 0.45.1-alt1
- new version 0.45.1 (with rpmrb script)
- fix bug #11205: CVE-2007-1463, CVE-2007-1464 (thanks icesik@)

* Thu Mar 01 2007 Vitaly Lipatov <lav@altlinux.ru> 0.45-alt1
- split inkview to standalone package
- remove dia and skencil from build requires
- add patch for detect dia (remove it from install requires)

* Tue Feb 06 2007 Vitaly Lipatov <lav@altlinux.ru> 0.45-alt0.1
- new version 0.45 (with rpmrb script)
- remove debian menu

* Mon Sep 18 2006 Vitaly Lipatov <lav@altlinux.ru> 0.44.1-alt0.1
- new version 0.44.1 (with rpmrb script)

* Sat Jun 24 2006 Vitaly Lipatov <lav@altlinux.ru> 0.44-alt0.1
- new version 0.44
- enable inkboard

* Tue Nov 22 2005 Vitaly Lipatov <lav@altlinux.ru> 0.43-alt1
- new version

* Tue Sep 20 2005 Vitaly Lipatov <lav@altlinux.ru> 0.42.2-alt0.1
- new version

* Fri Sep 09 2005 Vitaly Lipatov <lav@altlinux.ru> 0.42-alt0.2
- try again

* Mon Aug 01 2005 Vitaly Lipatov <lav@altlinux.ru> 0.42-alt0.1z
- new version (release)
- update buildrequires

* Sun Jul 17 2005 Vitaly Lipatov <lav@altlinux.ru> 0.42-alt0.1cvs20050716
- add require perl-Magick
- add perl && python extensions

* Thu Apr 14 2005 Vitaly Lipatov <lav@altlinux.ru> 0.41-alt2cvs20050320
- add some requires needed by extensions

* Mon Apr 04 2005 Vitaly Lipatov <lav@altlinux.ru> 0.41-alt1cvs20050320
- CVS version

* Mon Feb 21 2005 Vitaly Lipatov <lav@altlinux.ru> 0.41-alt1
- release 0.41
- disable gnome-print

* Tue Jan 25 2005 Vitaly Lipatov <lav@altlinux.ru> 0.41-alt0.2cvs20050125
- fix buildreq

* Mon Jan 24 2005 Vitaly Lipatov <lav@altlinux.ru> 0.41-alt0.1cvs20050125
- CVS version
- rebuild with gcc3.4
- disable requires for extensions

* Tue Nov 30 2004 Vitaly Lipatov <lav@altlinux.ru> 0.40-alt1
- 0.40 release

* Sun Nov 28 2004 Vitaly Lipatov <lav@altlinux.ru> 0.40-alt0.1cvs20041128
- about 0.40 pre4 release

* Wed Nov 10 2004 Vitaly Lipatov <lav@altlinux.ru> 0.40-alt0.1cvs20041110
- about 0.40 pre2 release
- spec file comformed to GTK program packaging policy

* Tue Oct 26 2004 Vitaly Lipatov <lav@altlinux.ru> 0.40-alt0.1cvs20041021
- 0.40 pre release

* Tue Apr 13 2004 Egor S. Orlov <oes@altlinux.ru> 0.38.1-alt1
- 0.38.1

* Thu Apr 01 2004 Egor S. Orlov <oes@altlinux.ru> 0.37-alt2
- Added menu

* Wed Feb 11 2004 Egor S. Orlov <oes@altlinux.ru> 0.37-alt1
- initial build for Sisyphus

* Thu May 01 2003 Christian Schaller <uraeus@gnome.org>
- Fix up the spec file for current release

* Mon Sep 23 2002 Dag Wieers <dag@wieers.com>
- Update to 0.2.6

* Thu Sep 12 2002 Dag Wieers <dag@wieers.com>
- Update to 0.2.5
- Changed SPEC to benefit from macros

